// MainForm.h
//
// This file declares a class for the main form of
// your application.

#ifndef MAINFORM_H_
#define MAINFORM_H_

class CMainForm : public CForm {
public:
	// Form event handlers
	Boolean OnOpen(EventType* pEvent, Boolean& bHandled);
	Boolean OnWinEnter(EventType* pEvent, Boolean& bHandled);
	Boolean OnOpenPost(EventType* pEvent, Boolean& bHandled);
	Boolean OnDisplayChanged(EventPtr pEvent, Boolean& bHandled);

	// Event map
	BEGIN_EVENT_MAP(CForm)
		EVENT_MAP_ENTRY(frmOpenEvent, OnOpen)
		EVENT_MAP_ENTRY(winEnterEvent, OnWinEnter)
		EVENT_MAP_ENTRY(winDisplayChangedEvent, OnDisplayChanged)
	END_EVENT_MAP()

	// Post Event map
	BEGIN_POST_EVENT_MAP(CForm)
		EVENT_MAP_ENTRY(frmOpenEvent, OnOpenPost)
	END_POST_EVENT_MAP()

private:
	void ReCalcLayout( );	

};

#endif // MAINFORM_H_
