// WideDisplaySampleApp.h
//
// This file implements any methods CWideDisplaySampleApp
// that differ from the standard implementation in CPalmApp

// Declaration of Application class
#ifndef WIDEDISPLAYSAMPLEAPP_H_
#define WIDEDISPLAYSAMPLEAPP_H_

#include "MainForm.h"

// Application class
class CWideDisplaySampleApp : public CPalmApp
{
public:
	// Overrides
	virtual Err NormalLaunch();
	Err InitInstance();
	Err ExitInstance();
	static CWideDisplaySampleApp * GetInstance();

	// Form map
	BEGIN_FORM_MAP()
		FORM_MAP_ENTRY(MainForm, CMainForm)
	END_FORM_MAP()
};

#endif // WIDEDISPLAYSAMPLEAPP_H_
