// WideDisplaySampleApp.cpp
//
// This file implements any methods CWideDisplaySampleApp
// that differ from the standard implementation in CPalmApp

#include "Common.h"
#include "WideDisplaySampleApp.h"

CWideDisplaySampleApp * CWideDisplaySampleApp::GetInstance()
{
	return static_cast<CWideDisplaySampleApp *>(CPalmApp::GetInstance());
}

Err CWideDisplaySampleApp::InitInstance()
{
	if (m_wLaunchFlags & sysAppLaunchFlagNewGlobals)
	{
	}
	return CPalmApp::InitInstance();
}

Err CWideDisplaySampleApp::ExitInstance()
{
	return CPalmApp::ExitInstance();
}

// Normal launch handler
Err CWideDisplaySampleApp::NormalLaunch()
{
	CForm::GotoForm(MainForm);

	return errNone;
}
